/// <reference types="react" />
import { RawDraftContentState } from 'draft-js';
import './editor.less';
import './Draft.less';
interface IProps {
    placeholder?: string;
    readonly?: boolean;
    /**
     * track state change
     * @param state string  editor state
     * @param content html content
     */
    onChange?: (state: string, content: string) => void;
    uploadImage?: (file: Blob) => Promise<{
        url: string;
        width?: number;
        height?: number;
    }>;
    defaultState?: RawDraftContentState;
    defaultValue?: string;
}
declare const Editor: (props: IProps) => JSX.Element;
export default Editor;
//# sourceMappingURL=index.d.ts.map